
## ------------------------
# This code calculates the catch allocation Based on the EU proposal
# THis code follows the document 
# IOTC-2018-S22-INF01E_-_On_Allocation_TCAC04-PropA_Rev2_-_European_Union.pdf 
# also termed proposal A. 
#


library(tidyr)
library(ggplot2)
library(dplyr)
# 
#  rm(list=ls()) 


#-------------------------------------------------------------------------------
#-------------------------------------------------------------------------------
#  Setup folders for output
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
# change this next line - main dir will have the current code, and all of necessary data
maindir<- "C:/YOUR FILE PATH HERE/CA_EU_Prop" 
# then run the rest of the code
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
#Create directories
#------------------------------------------
dir.create(maindir)
  setwd(maindir)

output_dir <- paste0(maindir, "/Results")
dir.create(output_dir)

data_dir <- paste0(maindir, "/Data")
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   
# Source the Function.#
source( paste0(maindir, "/make_eu_allo_FUN.r") )
 #--------------------------------------------------------------------------------------------------------------------------------------
 #  Load Data for  Simulation
 # 

 load( file= paste0(data_dir,'/LCDS_inIOTC.rdata'), verbose=TRUE) 
 load( file= paste0(data_dir,'/IOTC_members_final.rdata')  , verbose=TRUE) 
 load( file= paste0(data_dir,'/IOTC_data2.rdata'), verbose = TRUE ) #   IOTC_data2
 load( file= paste0(data_dir,'/SIDS_inIOTC.rdata'), verbose=TRUE)  
 load( file= paste0(data_dir,'/EU_SimulationSpecs.Rdata' ) , verbose=TRUE) # EU_ss
 load( file=paste0(data_dir,'/EU_historical_catches_forSims_V3_11Feb.rdata' ) , verbose=TRUE) 
 #  The catch data files are A, b, and c which refer to various splits of the flag/coastal state's catches
 # "A" # 90/10
 # "b" # 80/20
 # "c" # 100/00
#

 # rund and save the simulations.
 source( paste0(maindir, "/RunSave_EUsims.r") )
 #----------------------------------------------------------------------------------------------------------------------------------------------

  
